package sample.sample_c;

import org.apache.log4j.Logger;

public class SampleC_5 {
	private static final Logger logger = Logger.getLogger(SampleC_5.class);

	public static void main(String[] args) {
		if (isEmpty(args)) {
			class Inner {
				public void method() {
					helloWorld();
				}

				private void helloWorld() {
					logger.debug("Hello, world!");
				}
			}
			Inner inner = new Inner();
			inner.method();
		}
	}

	private static boolean isEmpty(String[] args) {
		if (args == null) {
			return true;
		}
		if (args.length == 0) {
			return true;
		}
		return false;
	}

}